CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

ExtLine1Suppress Property (ActiveX)

2023-1-3 16:52| 发布者: admin| 查看: 492| 评论: 0|来自: AutoCAD

摘要: 指定第一条扩展线的隐含。

指定第一条扩展线的隐含。

支持的平台:仅窗口

签名

工 务 局:

object.ExtLine1Suppress
对象

类型:三点角度,暗对齐,暗,暗弧长度旋转

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:隐含第一条延长线。
  • False:不隐含第一条延长线。

言论

此属性的初始值为。False

注意:此属性将覆盖给定维度的 DIMSE1 系统变量的值。

例子

工 务 局:

Sub Example_ExtLine1Suppress()
    ' This example creates a Dim3PointAngular object in model space
    ' and suppresses the extension lines using the ExtLine1Suppress
    ' and ExtLine2Suppress properties
    
    Dim DimPointAngularObj As AcadDim3PointAngular
    Dim AngleVertex(0 To 2) As Double
    Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double
    Dim TextPoint(0 To 2) As Double
    Dim Line1Suppressed As String, Line2Suppressed As String
    
    ' Define the new Dim3PointAngular object
    AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0
    FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0
    SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0
    TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0

    ' Create the new Dim3PointAngular object in model space
    Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint)
    ThisDrawing.Application.ZoomAll

    ' Read and display current extension line suppression information
    Line1Suppressed = IIf(DimPointAngularObj.ExtLine1Suppress, "is suppressed", "is not suppressed")
    Line2Suppressed = IIf(DimPointAngularObj.ExtLine2Suppress, "is suppressed", "is not suppressed")
    
    MsgBox "Line one of the extension " & Line1Suppressed & vbCrLf & _
           "Line two of the extension " & Line2Suppressed

    ' Suppress line one of the extension
    DimPointAngularObj.ExtLine1Suppress = True
    ThisDrawing.Regen acAllViewports
    MsgBox "Line one of the extension is now suppressed"
    
    ' Suppress line two of the extension
    DimPointAngularObj.ExtLine2Suppress = True
    ThisDrawing.Regen acAllViewports
    MsgBox "Line two of the extension is now suppressed"
   
    ' Turn both extension lines back on
    DimPointAngularObj.ExtLine1Suppress = False
    DimPointAngularObj.ExtLine2Suppress = False
    ThisDrawing.Regen acAllViewports
    MsgBox "Both extension lines are now visible again"

End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_ExtLine1Suppress()
    ;; This example creates a Dim3PointAngular object in model space
    ;; and suppresses the extension lines using the ExtLine1Suppress
    ;; and ExtLine2Suppress properties
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the new Dim3PointAngular object
    (setq AngleVertex (vlax-3d-point 0 0 0)
          FirstPoint (vlax-3d-point 2 2 0)
          SecondPoint (vlax-3d-point 1 4 0)
          TextPoint (vlax-3d-point 6 6 0))

    ;; Create the new Dim3PointAngular object in model space
    (setq modelSpace (vla-get-ModelSpace doc))  
    (setq DimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint))
    (vla-ZoomAll acadObj)

    ;; Read and display current extension line suppression information
    (setq Line1Suppressed (if (= (vla-get-ExtLine1Suppress DimPointAngularObj) :vlax-true) "is suppressed" "is not suppressed"))
    (setq Line2Suppressed (if (= (vla-get-ExtLine2Suppress DimPointAngularObj) :vlax-true) "is suppressed" "is not suppressed"))
    
    (alert (strcat "Line one of the extension " Line1Suppressed "\n"
                   "Line two of the extension " Line2Suppressed))

    ;; Suppress line one of the extension
    (vla-put-ExtLine1Suppress DimPointAngularObj :vlax-true)
    (vla-Regen doc acAllViewports)
    (alert "Line one of the extension is now suppressed")
    
    ;; Suppress line two of the extension
    (vla-put-ExtLine2Suppress DimPointAngularObj :vlax-true)
    (vla-Regen doc acAllViewports)
    (alert "Line two of the extension is now suppressed")
   
    ;; Turn both extension lines back on
    (vla-put-ExtLine1Suppress DimPointAngularObj :vlax-false)
    (vla-put-ExtLine2Suppress DimPointAngularObj :vlax-false)
    (vla-Regen doc acAllViewports)
    (alert "Both extension lines are now visible again")
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 15:32

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部